#
# spec file for package libcacard
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcacard
Version:        0.1.2
Release:        4.4
# LICENSE NOTE: COPYING says GPL-3.0+, but is wrong: all files are LGPL-2.1+ and the COPYING file comes from autotools magic. Upstream has been notified by mail about this (2012-12-01 -- dimstar)
Summary:        Common Access Card (CAC) emulation
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://spice-space.org/download/libcacard/
Source:         http://spice-space.org/download/libcacard/%{name}-%{version}.tar.bz2
Patch0:         libcacard-0.1.2-add-pthread-explicitly.diff
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(nss)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This emulator is designed to provide emulation of actual smart cards to a
virtual card reader running in a guest virtual machine. The emulated smart
cards can be representations of real smart cards, where the necessary functions
such as signing, card removal/insertion, etc. are mapped to real, physical
cards which are shared with the client machine the emulator is running on, or
the cards could be pure software constructs.

%package -n libcacard0
Summary:        Common Access Card (CAC) emulation
Group:          System/Libraries

%description -n libcacard0
This emulator is designed to provide emulation of actual smart cards to a
virtual card reader running in a guest virtual machine. The emulated smart
cards can be representations of real smart cards, where the necessary functions
such as signing, card removal/insertion, etc. are mapped to real, physical
cards which are shared with the client machine the emulator is running on, or
the cards could be pure software constructs.

%package devel
Summary:        Common Access Card (CAC) emulation - Development files
Group:          Development/Languages/C and C++
Requires:       libcacard0 = %{version}

%description devel
This emulator is designed to provide emulation of actual smart cards to a
virtual card reader running in a guest virtual machine. The emulated smart
cards can be representations of real smart cards, where the necessary functions
such as signing, card removal/insertion, etc. are mapped to real, physical
cards which are shared with the client machine the emulator is running on, or
the cards could be pure software constructs.
%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libcacard0 -p /sbin/ldconfig

%postun -n libcacard0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/vscclient

%files -n libcacard0
%defattr(-, root, root)
%{_libdir}/libcacard.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/cacard/
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%changelog
* Thu Jun 14 2012 coolo@suse.com
- link explicitly against -lpthread
* Fri Jan 20 2012 dimstar@opensuse.org
- Add a comment about the fact that the COPYING file in the tarball
  most likely wrongfully states the program is GPL-3.0(+): the code
  is LGPL-2.1+ and this COPYING file seems to come from autotools
  magic, and not from the author. Fix bnc#734153.
* Thu Nov 24 2011 dimstar@opensuse.org
- Initial package, version 0.1.2
